# app/api/api_router.py
from fastapi import APIRouter

from app.api.v1.api import api_router_v1 # Import the v1 router

api_router = APIRouter()

# Include versioned routers here, adding the /api prefix
api_router.include_router(api_router_v1, prefix="/v1") # Mounts v1 endpoints under /api/v1/...

# Add other API versions later
# e.g., api_router.include_router(api_router_v2, prefix="/v2")